## roundcube 1.2.1+dfsg.1

=== debian/changelog ===
roundcube (1.2.1+dfsg.1-2) unstable; urgency=medium

  * Update B-D according to composer.json-dist (Closes: #833461)
  * Move gpg_crypt from depends to suggests

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 05 Aug 2016 11:20:14 +0200

roundcube (1.2.1+dfsg.1-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * d/roundcube-core.cron.d: install new cronjob (executed as www-data) to
    finally remove all records that are marked as deleted (closes: #824676).

  [ Sandro Knauß ]
  * New upstream release.
  * update update_composer.patch with upstream dependencies.
  * Use secured links

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 03 Aug 2016 16:18:36 +0200

roundcube (1.2.0+dfsg.1-1) unstable; urgency=medium

  * New upstream release. 
  * update patches (only file hunks updates)
  * add sql updates for 1.2.0
  * make roundcube ready for PHP 7 (Closes: #821646)
    - replace dependencies from php5-* to php-* packages
  * Update default config file to match debian default installation
    - Disable spellchecking by default (needs pspell, that is only recommended)
    - Remove plugins from default config file (needs roundcube-plugins)
  * Update the internal copies of external libraries

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 24 May 2016 21:35:06 +0200
