## roundcube 1.2.3%2Bdfsg.1

=== debian/changelog ===
roundcube (1.2.3+dfsg.1-4+deb9u10) stretch-security; urgency=high

  * Backport fix for CVE-2021-46144: Fix cross-site scripting (XSS) via HTML
    messages with malicious CSS content. (Closes: #1003027)

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 12 Jan 2022 12:56:32 +0100

roundcube (1.2.3+dfsg.1-4+deb9u9) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2021-44025 and CVE-2021-44026:
    It was discovered that roundcube, a skinnable AJAX based webmail solution
    for IMAP servers, did not properly sanitize requests and mail messages.
    This would allow an attacker to perform Cross-Side Scripting (XSS) or SQL
    injection attacks.

 -- Markus Koschany <apo@debian.org>  Mon, 06 Dec 2021 11:51:48 +0100

roundcube (1.2.3+dfsg.1-4+deb9u8) stretch-security; urgency=high

  * Backport security fix for CVE-2020-35730: Cross-site scripting (XSS)
    Cross-site scripting (XSS) vulnerability via HTML or Plain text messages
    with malicious content svg/namespace. (Closes: #978491)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 28 Dec 2020 03:25:57 +0100

roundcube (1.2.3+dfsg.1-4+deb9u7) stretch-security; urgency=high

  * Backport security fix for CVE-2020-16145: Cross-site scripting (XSS)
    vulnerability via HTML messages with malicious svg or math
    content. (Closes: #968216)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 11 Aug 2020 18:38:40 +0200

roundcube (1.2.3+dfsg.1-4+deb9u6) stretch; urgency=high

  * Backport security fix for CVE-2020-15562: Cross-Site Scripting (XSS)
    vulnerability via HTML messages with malicious svg/namespace
    (Closes: #964355)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 06 Jul 2020 16:14:59 +0200

roundcube (1.2.3+dfsg.1-4+deb9u5) stretch-security; urgency=high

  * Backport security fixes from 1.3.12:
    - CVE-2020-13964: Cross-Site Scripting (XSS) vulnerability in template
      object 'username' (closes: #962124)
    - CVE-2020-13965: Cross-Site Scripting (XSS) vulnerability via malicious
      XML messages (closes: #962123)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 09 Jun 2020 13:46:01 +0200

roundcube (1.2.3+dfsg.1-4+deb9u4) stretch-security; urgency=high

  * Backport security fixes from 1.2.10:
    - CVE-2020-12625: Cross-Site Scripting (XSS) vulnerability via malicious
      HTML messages (closes: #959140)
    - CVE-2020-12626: CSRF attack can cause an authenticated user to be logged
      out (closes: #959142)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 04 May 2020 14:50:42 +0200

roundcube (1.2.3+dfsg.1-4+deb9u3) stretch-security; urgency=high

  * Backport fix for CVE-2018-19206: XSS vulnerability via crafted use of
    <svg><style>, as demonstrated by an onload attribute in a BODY element,
    within an HTML attachment.
    https://github.com/roundcube/roundcubemail/issues/6410

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 24 Nov 2018 04:36:11 +0100

roundcube (1.2.3+dfsg.1-4+deb9u2) stretch-security; urgency=high

  * Backport fix for CVE-2018-9846: When the archive plugin enabled and
    configured, it's possible to exploit the unsanitized, user-controlled
    "_uid" parameter to perform an MX (IMAP) injection attack.
    https://github.com/roundcube/roundcubemail/issues/6238
    (Closes: #895184).
  * Backport fix for CVE-2018-1000071: Insecure Permissions vulnerability in
    enigma plugin that can result in exfiltration of gpg private key.
    https://github.com/roundcube/roundcubemail/issues/6173

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 21 Apr 2018 01:51:56 +0200

roundcube (1.2.3+dfsg.1-4+deb9u1) stretch-security; urgency=high

  * Backport fix for CVE-2017-16651: File disclosure vulnerability caused by
    insufficient input validation in conjunction with file-based attachment
    plugins, which are used by default.
    https://github.com/roundcube/roundcubemail/issues/6026

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 09 Nov 2017 06:45:05 +0100

roundcube (1.2.3+dfsg.1-4) unstable; urgency=high

  * Backport fix for CVE-2017-8114: Roundcube Webmail allows arbitrary
    password resets by authenticated users. This affects versions before
    1.0.11, 1.1.x before 1.1.9, and 1.2.x before 1.2.5. The problem is caused
    by an improperly restricted exec call in the virtualmin and sasl drivers
    of the password plugin. (Closes: #861388).

 -- Guilhem Moulin <guilhem@guilhem.org>  Mon, 01 May 2017 23:37:14 +0200

roundcube (1.2.3+dfsg.1-3) unstable; urgency=high

  * Backport fix for CVE-2015-5381: rcube_utils.php in Roundcube before 1.1.8
    and 1.2.x before 1.2.4 is susceptible to a cross-site scripting
    vulnerability via a crafted Cascading Style Sheets (CSS) token sequence
    within an SVG element. (Closes: #857473).
    In 1.2.3+dfsg.1-2 the patch wasn't added to debian/patches/series.

 -- Guilhem Moulin <guilhem@guilhem.org>  Tue, 14 Mar 2017 11:43:18 +0100

roundcube (1.2.3+dfsg.1-2) unstable; urgency=high

  * Backport fix for CVE-2015-5381: rcube_utils.php in Roundcube before 1.1.8
    and 1.2.x before 1.2.4 is susceptible to a cross-site scripting
    vulnerability via a crafted Cascading Style Sheets (CSS) token sequence
    within an SVG element. (Closes: #857473).

 -- Guilhem Moulin <guilhem@guilhem.org>  Tue, 14 Mar 2017 03:41:48 +0100

roundcube (1.2.3+dfsg.1-1) unstable; urgency=high

  [ Guilhem Moulin ]
  * New upstream release (closes: #847287).

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Dec 2016 12:17:54 +0100

roundcube (1.2.2+dfsg.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Change own mailadress to new debian one
  * Update Copyright years for myself

  [ Guilhem Moulin ]
  * New upstream release.
  * debian/control:
    + Remove php-pspell from roundcube-plugins' Depends: field, as pspell is
      not used by any plugin.  However we keep it in roundcube-core's
      Recommends: field as $config['spellcheck_engine'] defaults to 'pspell'.
      (Closes: #825500).

