## roundcube 1.2.3+dfsg.1

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
-           Sandro Knauß <bugs@sandroknauss.de>,
-           Guilhem Moulin <guilhem@guilhem.org>
+           Sandro Knauß <hefee@debian.org>,
+           Guilhem Moulin <guilhem@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-buildinfo,
                libjs-jquery-ui (>= 1.10),
                pkg-php-tools,
                po-debconf,
                yui-compressor
-Homepage: http://www.roundcube.net/
+Homepage: https://www.roundcube.net/
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-roundcube/roundcube.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-roundcube/roundcube.git
@@ -69,10 +69,10 @@
 
 Package: roundcube-mysql
 Architecture: all
-Depends: mariadb-client | mysql-client | virtual-mysql-client,
+Depends: mariadb-client | default-mysql-client | virtual-mysql-client,
          php-mysqlnd | php-mysql,
          ${misc:Depends}
-Suggests: mariadb-server | mysql-server
+Suggests: mariadb-server | default-mysql-server
 Description: metapackage providing MySQL dependencies for RoundCube
  This package provides MySQL dependencies for RoundCube Webmail, a
  skinnable AJAX based webmail solution for IMAP servers. Install this
@@ -98,7 +98,8 @@
 Package: roundcube-plugins
 Architecture: all
 Pre-Depends: dpkg (>= 1.17.14)
-Depends: php-pspell, roundcube-core (= ${source:Version}), ${misc:Depends}
+Depends: roundcube-core (= ${source:Version}), ${misc:Depends}
+Suggests: php-crypt-gpg, php-net-sieve, php-zip
 Breaks: roundcube-plugins-extra (<= 0.7-20120110)
 Replaces: roundcube-plugins-extra (<= 0.7-20120110)
 Description: skinnable AJAX based webmail solution for IMAP servers - plugins
