## roundcube 1.3.0+dfsg.1

=== debian/changelog ===
roundcube (1.3.0+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Update patches:
    - remove patches that are not needed anymore
    - hunks
    - update_composer.patch to match new upstream release
  * robots.txt is not shipped anymore in the package
  * Get rid of unused overrides
  * Bump Standards-Version to 4.0.0 (no changes needed)
  * Bump compat level to 10 (no changes needed).
  * Update copyright file
  * Add SQL updates to Debian package
  * 3rdparty handling:
    - switch to install-jsdeps.sh
    - install unminified version whwn possible, too
    - modify jsdeps.json to be able to use sources
    - update all missing-sourcecs
  * create-jquery-ui-custom.sh don't handle input arguments
  * Update source.lintian-overrides

 -- Sandro Knauß <hefee@debian.org>  Tue, 22 Aug 2017 19:55:39 +0200
