=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-           Guilhem Moulin <guilhem@debian.org>
-Build-Depends: debhelper (>= 9),
+           Guilhem Moulin <guilhem@guilhem.org>
+Build-Depends: debhelper (>= 10),
                dh-buildinfo,
                libjs-jquery-ui (>= 1.10),
                pkg-php-tools,
                po-debconf,
                yui-compressor
 Homepage: https://www.roundcube.net/
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-roundcube/roundcube.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-roundcube/roundcube.git
