=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: roundcube
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Sandro Knauß <hefee@debian.org>,
-           Guilhem Moulin <guilhem@guilhem.org>
+           Guilhem Moulin <guilhem@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-buildinfo,
                libjs-jquery-ui (>= 1.10),
@@ -12,7 +12,7 @@
                po-debconf,
                yui-compressor
 Homepage: https://www.roundcube.net/
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-roundcube/roundcube.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-roundcube/roundcube.git
 
@@ -70,7 +70,7 @@
 Package: roundcube-mysql
 Architecture: all
 Depends: mariadb-client | default-mysql-client | virtual-mysql-client,
-         php-mysqlnd | php-mysql,
+         php-mysql | php-mysqlnd,
          ${misc:Depends}
 Suggests: mariadb-server | default-mysql-server
 Description: metapackage providing MySQL dependencies for RoundCube
