=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                po-debconf,
                yui-compressor
 Homepage: https://www.roundcube.net/
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Vcs-Git: https://anonscm.debian.org/git/pkg-roundcube/roundcube.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-roundcube/roundcube.git
 
@@ -27,7 +27,6 @@
          php-cli,
          php-intl,
          php-json,
-         php-mcrypt,
          roundcube-mysql (= ${source:Version}) | roundcube-sqlite3 (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
          ucf,
          ${misc:Depends},
