=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,10 @@
 		yui-compressor --type js "$$js" -o "$${js%.*}.min.js" ; \
 	done
 
+	# Dont encode timezones, etc.
+	find "$(CURDIR)"/debian/roundcube-core/usr/share/roundcube/program/js/tinymce/ -print0 | \
+		xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
+
 	# Plugins are in usr/share/roundcube/plugins, for each plugin
 	# if there is config.inc.php.dist, we symlink a config.inc.php
 	# in /etc/roundcube/plugins with some dummy content.
@@ -62,7 +66,7 @@
 	done
 
 	#get rid of randomly '.gitignore' files
-	find $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube -name '._*' -o -name '.gitignore' -delete ;
+	find $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube \( -name '._*' -o -name '.gitignore' \) -delete ;
 
 	# password helpers is a experimental
 	rm $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube/plugins/password/helpers/chgsaslpasswd.c
@@ -79,6 +83,7 @@
 	#make everything non executable
 	find $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube -type f -print0 | xargs -r0 chmod -x ;
 	find $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube -type d -empty -delete ;
+	chmod 0755 $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube/plugins/password/helpers/*.p[ly]
 
 override_dh_installdocs:
 	dh_installdocs --link-doc=roundcube-core -proundcube -proundcube-plugins -proundcube-core
