## roundcube 1.3.8+dfsg.1

=== debian/changelog ===
roundcube (1.3.8+dfsg.1-2) unstable; urgency=medium

  * debian/roundcube-plugins.maintscript:
    + Remove old maintscript, which doesn't apply since oldstable.
    + Convert /usr/share/doc/roundcube-plugins from symlink to directory
      (needed since plugin README files are now in that directory).

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 05 Nov 2018 04:38:45 +0100

roundcube (1.3.8+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Migrate Vcs-Browser and Vcs-Git from Alioth to Salsa.
  * debian/roundcube-core.postinst: in lighttpd_install(), treat
    `lighty-enable-mod`'s exit status 2 (denoting a minor flaw e.g., a module
    was not enabled because it was already loaded before) as success. (Closes:
    #898040.)
  * Move plugin README files to /usr/share/doc/roundcube/plugins/$PLUGIN
  * debian/control: Bump Standards-Version to 4.2.1 (no changes needed).

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 03 Nov 2018 05:53:08 +0100
