## roundcube 1.3.10+dfsg.1

=== debian/changelog ===
roundcube (1.3.10+dfsg.1-1~deb10u1) buster; urgency=medium

  * d/control: revert bump of Standards-Version, as we want to release to
    stable.
  * d/upstream/signing-key.asc: revert Minimize OpenPGP certificate.
  * Add patch to Fix "Retry to connect to IMAP server" (Closes: #947320)

 -- Sandro Knauß <hefee@debian.org>  Tue, 24 Dec 2019 20:45:55 +0100

roundcube (1.3.10+dfsg.1-1) unstable; urgency=medium

  * New upstream release: (Closes: #927713)
    - Fixes CVE-2019-10740

  [ Guilhem Moulin ]
  * Backport fix for CVE-2018-1000071: Insecure Permissions vulnerability in
    enigma plugin that can result in exfiltration of gpg private key.
    https://github.com/roundcube/roundcubemail/issues/6173 (Closes: #897014)
  * New upstream release (1.3.9).  (Closes: #898068)
  * d/roundcube-core.config: Honor debconf setting roundcube/language, by
    skipping the relevant part at pre-configure stage.  (Closes: #923142)
  * d/roundcube-core.postinst: Create temporary configuration file atomically.
  * d/upstream/signing-key.asc: Minimize OpenPGP certificate.
  * Add new plugins to roundcube-plugins: 'attachment_reminder' (closes:
    #918126), 'example_addressbook', 'identicon', 'identity_select' and
    'redundant_attachments'.
  * d/control: Bump Standards-Version to 4.3.0 (no changes needed).

 -- Beowulf <beowulf@netzguerilla.net>  Wed, 18 Dec 2019 00:26:48 +0100
