## roundcube 1.3.11+dfsg.1

=== debian/changelog ===
roundcube (1.3.11+dfsg.1-1~deb10u1) buster-security; urgency=high

  * New security upstream release, with fixes for:
    - CVE-2020-12625: Cross-Site Scripting (XSS) vulnerability via malicious
      HTML messages (closes: #959140)
    - CVE-2020-12626: CSRF attack can cause an authenticated user to be logged
      out (closes: #959142)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 04 May 2020 14:19:18 +0200
