## roundcube 1.3.13+dfsg.1

=== debian/changelog ===
roundcube (1.3.13+dfsg.1-1~deb10u1) buster-security; urgency=high

  * New security upstream release, with fixes for:
    - CVE-2020-13964: Cross-Site Scripting (XSS) vulnerability in template
      object 'username' (Closes: #962124)
    - CVE-2020-13965: Cross-Site Scripting (XSS) vulnerability via malicious
      XML messages (Closes: #962123)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 09 Jun 2020 13:29:14 +0200
