## roundcube 1.3.14+dfsg.1

=== debian/changelog ===
roundcube (1.3.14+dfsg.1-1~deb10u1) buster-security; urgency=high

  * New upstream release, with security fix for CVE-2020-15562: Cross-Site
    Scripting (XSS) vulnerability via HTML messages with malicious
    svg/namespace (Closes: #964355)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 06 Jul 2020 16:30:57 +0200
