## roundcube 1.3.15+dfsg.1

=== debian/changelog ===
roundcube (1.3.15+dfsg.1-1~deb10u1) buster-security; urgency=high

  * New upstream release, with security fix for CVE-2020-16145: Cross-site
    scripting (XSS) vulnerability via HTML messages with malicious svg or math
    content. (Closes: #968216)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 11 Aug 2020 17:44:16 +0200
