## roundcube 1.3.16+dfsg.1

=== debian/changelog ===
roundcube (1.3.16+dfsg.1-1~deb10u1) unstable; urgency=medium

  * update

 -- Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>  Mon, 12 Jul 2021 17:03:24 +0800

roundcube (1.3.16+dfsg.1-1~deb10u1) buster-security; urgency=high

  * New upstream bugfix release, with security fix for CVE-2020-35730:
    Cross-site scripting (XSS) vulnerability via HTML or Plain text messages
    with malicious content svg/namespace. (Closes: #978491)
  * Revert upstream commit 435cfa116 to avoid irrelevant jstz update.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 28 Dec 2020 02:49:49 +0100
