## roundcube 1.3.17+dfsg.1

=== debian/changelog ===
roundcube (1.3.17+dfsg.1-1~deb10u6) buster-security; urgency=high

  * Fix CVE-2024-37384: Cross-site scripting (XSS) vulnerability in handling
    list columns from user preferences. (Closes: #1071474)
  * Fix CVE-2024-37383: Cross-site scripting (XSS) vulnerability in handling
    SVG animate attributes. (Closes: #1071474)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 17 Jun 2024 13:52:56 +0200

roundcube (1.3.17+dfsg.1-1~deb10u5) buster-security; urgency=high

  * Fix CVE-2023-47272: Cross-site scripting (XSS) vulnerability in setting
    Content-Type/Content-Disposition for attachment preview/download.
    (Closes: #1055421)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 04 Dec 2023 17:50:05 +0100

roundcube (1.3.17+dfsg.1-1~deb10u4) buster-security; urgency=high

  * Fix CVE-2023-5631: Cross-site scripting (XSS) vulnerability in handling of
    SVG in HTML messages. (Closes: #1054079)
  * Salsa CI: Disable lintian, reprotest, and piuparts jobs.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 24 Oct 2023 22:05:04 +0200

roundcube (1.3.17+dfsg.1-1~deb10u3) buster-security; urgency=high

  * Fix CVE-2023-43770: Cross-site scripting (XSS) vulnerability in handling
    of linkrefs in plain text messages. (Closes: #1052059)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 22 Sep 2023 12:42:41 +0300

roundcube (1.3.17+dfsg.1-1~deb10u2) buster-security; urgency=high

  * Backport fix for CVE-2021-46144: Fix cross-site scripting (XSS) via HTML
    messages with malicious CSS content. (Closes: #1003027)

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 06 Jan 2022 09:04:44 +0100

roundcube (1.3.17+dfsg.1-1~deb10u1) buster-security; urgency=high

  * New bugfix/security upstream release (closes: #1000156), with fixes for:
    + CVE-2021-44025: XSS issue in handling attachment filename extension in
      mimetype mismatch warning; and
    + CVE-2021-44026: possible SQL injection via some session variables.
  * Refresh d/patches.
  * Refresh d/upstream/signing-key.asc.
  * d/gbp.conf: Rename upstream branch to upstream/release-1.3.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 18 Nov 2021 19:52:34 +0100
