## roundcube 1.4.2+dfsg.1

=== debian/changelog ===
roundcube (1.4.2+dfsg.1-2) unstable; urgency=medium

  * d/control:
    + Specify minimum versions for libjs-* dependencies.
    + Bump Standards-Version to 4.5.0 (no changes needed).
  * d/roundcube-core.links: link to /usr/share/javascript/$FOO, instead of its
    unreliable target name. (Closes: #948011)
  * d/roundcube-core.logrotate:
    + Add glob pattern for /var/log/roundcube/*.log, as ".log" is the default
      extension used for log filenames since 1.4-beta. (Closes: #948034)
    + Rotate daily and reduce the retention period to 14 days to match the
      new apache2 and nginx defaults.
  * d/rules: Rebuild skins/elastic/styles/{styles,print,embed}.css from the
    .less sources instead of shipping the upstream versions.  This requires
    lessc(1) from node-less in the build environment.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 29 Jan 2020 11:21:01 +0100

roundcube (1.4.2+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * d/control: roundcube-plugins now suggests php-cli as enigma's
    import_keys.sh requires it.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 01 Jan 2020 23:09:32 +0100

roundcube (1.4.1+dfsg.1-2) unstable; urgency=low

  [ Sandro Knauß ]
  * Add patch to Fix "Retry to connect to IMAP server" (Closes: #947320)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 27 Dec 2019 11:14:20 +0100

roundcube (1.4.1+dfsg.1-1) experimental; urgency=low

  * New upstream release.
    + New Depends (and Build-Depends) 'php-mbstring', required by a call to
      mb_internal_encoding() in program/lib/Roundcube/bootstrap.php.
  * Rebase debian/install-jsdeps.sh from bin/install-jsdeps.sh.
  * Use system JS dependencies when possible: JQuery from libjs-jquery, jstz
    from libjs-jstimezonedetect, codemirror from libjs-codemirror, bootstrap
    from libjs-bootstrap4, jquery-minicolors from libjs-jquery-minicolors,
    libjs-jquery-minicolors, JQuery UI from libjs-jquery-ui.
  * New Build-Depends: closure-compiler, used for JS minification instead of
    yui-compressor.  closure-compiler is what upstream uses, and
    yui-compressor is unable to compress 1.4's program/js/app.js and
    skins/elastic/ui.js.
  * Move plugin README.md files to /usr/share/doc/roundcube/plugins/$PLUGIN
  * Ensure INSTALL_PATH is always set to /var/lib/roundcube in the upstream
    tools.
  * d/roundcube-core.postinst: The honored environment variable for confdir is
    RCUBE_CONFIG_PATH, not RCMAIL_CONFIG_DIR.
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed).
  * Refresh tinymce language pack from upstream.
  * d/control, d/compat: Set debhelper-compat version in Build-Depends.
  * d/control: Set 'Rules-Requires-Root: no'.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 18 Dec 2019 19:17:13 +0100
