## roundcube 1.4.3%2Bdfsg.1

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,10 @@
 	dh $@ --with phpcomposer
 
 override_dh_auto_build:
-	>plugins/jqueryui/js/jquery-ui-1.10.4.custom.min.js debian/create-jquery-ui-custom.sh
-	CACHEDIR=$(CURDIR)/debian/missing-sources/ debian/install-jsdeps.sh -s -e # can be replaced with bin/install-jsdeps.sh with upstream version >= 1.3.0
+	CACHEDIR=$(CURDIR)/debian/missing-sources/ bin/install-jsdeps.sh -s -e
 
 override_dh_auto_clean:
-	CACHEDIR=$(CURDIR)/debian/missing-sources/ debian/install-jsdeps.sh -d # can be replaced with bin/install-jsdeps.sh with upstream version >= 1.3.0
+	CACHEDIR=$(CURDIR)/debian/missing-sources/ bin/install-jsdeps.sh -d
 
 	debconf-updatepo
 
@@ -28,8 +27,14 @@
 
 	# Convert .js back to min.js
 	for js in $$(find $(CURDIR)/debian/roundcube-core -type f -name '*.js' -not -name '*.min.js' -print); do \
-		yui-compressor --type js "$$js" -o "$${js%.*}.min.js" ; \
+		closure-compiler --compilation_level=SIMPLE_OPTIMIZATIONS --js="$$js" \
+			--language_in=ECMASCRIPT5 --js_output_file="$${js%.*}.min.js" ; \
 	done
+
+	# Rebuild generated .CSS, cf. skins/elastic/README.md
+	cd $(CURDIR)/debian/roundcube-core/usr/share/roundcube/skins/elastic && lessc --compress styles/styles.less >styles/styles.css
+	cd $(CURDIR)/debian/roundcube-core/usr/share/roundcube/skins/elastic && lessc --compress styles/print.less  >styles/print.css
+	cd $(CURDIR)/debian/roundcube-core/usr/share/roundcube/skins/elastic && lessc --compress styles/embed.less  >styles/embed.css
 
 	# Dont encode timezones, etc.
 	find "$(CURDIR)"/debian/roundcube-core/usr/share/roundcube/program/js/tinymce/ -print0 | \
@@ -83,13 +88,24 @@
 	#make everything non executable
 	find $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube -type f -print0 | xargs -r0 chmod -x ;
 	find $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube -type d -empty -delete ;
-	chmod 0755 $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube/plugins/password/helpers/*.p[ly]
+	chmod 0755 $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube/plugins/password/helpers/*.p[ly] \
+	           $(CURDIR)/debian/roundcube-plugins/usr/share/roundcube/plugins/*/bin/*.sh
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=roundcube-core -proundcube -proundcube-plugins -proundcube-core
-	dh_installdocs -proundcube-mysql -proundcube-pgsql -proundcube-sqlite3
-	mv $(CURDIR)/debian/roundcube-core/usr/share/doc/roundcube-core/CHANGELOG $(CURDIR)/debian/roundcube-core/usr/share/doc/roundcube-core/changelog
+	dh_installdocs --link-doc=roundcube-core -proundcube -proundcube-core
+	dh_installdocs -proundcube-mysql -proundcube-pgsql -proundcube-sqlite3 -proundcube-plugins
+	mv $(CURDIR)/debian/roundcube-core/usr/share/doc/roundcube-core/CHANGELOG \
+		$(CURDIR)/debian/roundcube-core/usr/share/doc/roundcube-core/changelog
+	for pkg in roundcube-core roundcube-plugins; do \
+		for doc in $(CURDIR)/debian/$$pkg/usr/share/roundcube/plugins/*/README*; do \
+			plugin="$${doc#"$(CURDIR)/debian/$$pkg/usr/share/roundcube/plugins/"}"; \
+			plugin="$${plugin%/*}"; \
+			mkdir -p "$(CURDIR)/debian/$$pkg/usr/share/doc/$$pkg/plugins/$$plugin"; \
+			mv -nt "$(CURDIR)/debian/$$pkg/usr/share/doc/$$pkg/plugins/$$plugin" "$$doc"; \
+		done; \
+	done
+	# "README.md" is in debian/roundcube-core.docs already
+	rm -f  $(CURDIR)/debian/roundcube-core/usr/share/roundcube/program/lib/Roundcube/README.md
 
 override_dh_phpcomposer:
 	dh_phpcomposer --sourcedirectory=$(CURDIR)/debian/roundcube-core/usr/share/roundcube
-
