=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Guilhem Moulin <guilhem@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: closure-compiler,
+               debhelper-compat (= 12),
                dh-buildinfo,
-               libjs-jquery-ui (>= 1.10),
+               node-less (>= 1.5.0~),
+               php-mbstring,
                pkg-php-tools,
-               po-debconf,
-               yui-compressor
+               po-debconf
+Rules-Requires-Root: no
 Homepage: https://www.roundcube.net/
-Standards-Version: 4.1.4
-Vcs-Git: https://anonscm.debian.org/git/pkg-roundcube/roundcube.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-roundcube/roundcube.git
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube.git
+Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube
 
 Package: roundcube-core
 Architecture: all
@@ -22,11 +24,18 @@
 Depends: dbconfig-common,
          debconf,
          libapache2-mod-php | php,
+         libjs-bootstrap4 (>= 4.3.1~),
+         libjs-codemirror (>= 5.46.0~),
+         libjs-jquery (>= 3.3.1~),
+         libjs-jquery-minicolors (>= 2.2.6~),
+         libjs-jquery-ui (>= 1.12.0~),
+         libjs-jstimezonedetect (>= 1.0.6~),
          libmagic1,
-         php-pear (>= 1:1.10.1),
          php-cli,
          php-intl,
          php-json,
+         php-mbstring,
+         php-pear (>= 1:1.10.1),
          roundcube-mysql (= ${source:Version}) | roundcube-sqlite3 (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
          ucf,
          ${misc:Depends},
@@ -35,8 +44,7 @@
             php-gd,
             php-pspell,
             ${phpcomposer:Debian-recommend}
-Suggests: roundcube-plugins,
-          ${phpcomposer:Debian-suggest}
+Suggests: roundcube-plugins, ${phpcomposer:Debian-suggest}
 Breaks: roundcube-plugins-extra (<= 0.6-20111030)
 Replaces: roundcube-plugins-extra (<= 0.6-20111030),
           ${phpcomposer:Debian-replace}
@@ -98,7 +106,7 @@
 Architecture: all
 Pre-Depends: dpkg (>= 1.17.14)
 Depends: roundcube-core (= ${source:Version}), ${misc:Depends}
-Suggests: php-crypt-gpg, php-net-sieve, php-zip
+Suggests: php-cli, php-crypt-gpg, php-net-sieve, php-zip
 Breaks: roundcube-plugins-extra (<= 0.7-20120110)
 Replaces: roundcube-plugins-extra (<= 0.7-20120110)
 Description: skinnable AJAX based webmail solution for IMAP servers - plugins
